BGP Extended Community Registries Update
RFC 9184
Christoph Loibl
next layer Telekom GmbH
2022-01
Routing Area
IDR Working Group
IANA
This document updates several BGP Extended Community registries in order to replace the "Experimental Use" registration procedure in some entries, since their use is clearly not experimental and is thus misleading.
This document updates RFCs 7153 and 8955.
Status of This Memo
This is an Internet Standards Track document.
This document is a product of the Internet Engineering Task Force (IETF). It represents the consensus of the IETF community. It has received public review and has been approved for publication by the Internet Engineering Steering Group (IESG). Further information on Internet Standards is available in Section 2 of RFC 7841.
Information about the current status of this document, any errata, and how to provide feedback on it may be obtained at https://www.rfc-editor.org/info/rfc9184.
Copyright Notice
Copyright (c) 2022 IETF Trust and the persons identified as the document authors. All rights reserved.
This document is subject to BCP 78 and the IETF Trust's Legal Provisions Relating to IETF Documents (https://trustee.ietf.org/license-info) in effect on the date of publication of this document. Please review these documents carefully, as they describe your rights and restrictions with respect to this document. Code Components extracted from this document must include Revised BSD License text as described in Section 4.e of the Trust Legal Provisions and are provided without warranty as described in the Revised BSD License.
Table of Contents
- 1. Introduction
- 2. IANA Considerations
  - 2.1. Registry: BGP Transitive Extended Community Types
  - 2.2. Registry: Generic Transitive Experimental Use Extended Community Sub-Types
  - 2.3. Registry: Generic Transitive Experimental Use Extended Community Part 2 Sub-Types
  - 2.4. Registry: Generic Transitive Experimental Use Extended Community Part 3 Sub-Types
- 3. Security Considerations
- 4. References
  - 4.1. Normative References
  - 4.2. Informative References
- Acknowledgements
- Author's Address
Introduction
The IANA registries for the type values and sub-type values of the BGP Extended Communities attribute were reorganized by [RFC7153]. As a result, IANA maintains a registry entitled "BGP Transitive Extended Community Types", which includes a range of type values (0x80-0x8F) reserved for Experimental Use [RFC8126]. Out of this experimental range, types 0x80, 0x81, and 0x82 have been used in [RFC5575] and [RFC7674] (both documents were rendered obsolete by [RFC8955]).
The primary use for those types and the sub-type registries is non-experimental.
Section 2 describes updates to the registry to reflect the actual use of those code points by changing the registration procedure from "Experimental Use" to "First Come First Served" [RFC8126] for the types 0x80-0x82 (and removing "Experimental Use" from the sub-type registry names), thereby updating [RFC7153] and [RFC8955].
IANA Considerations
Registry: BGP Transitive Extended Community Types
IANA maintains a registry entitled "BGP Transitive Extended Community Types".
IANA has added RFC 9184 to the reference of this registry. They have also updated the name of the type values according to Table 1 and added RFC 9184 as a reference for the existing entries.
Registry: BGP Transitive Extended Community Types
Type Value | Name | Reference
0x80 | Generic Transitive Extended Community (Sub-Types are defined in the "Generic Transitive Extended Community Sub-Types" registry) | RFC 9184
0x81 | Generic Transitive Extended Community Part 2 (Sub-Types are defined in the "Generic Transitive Extended Community Part 2 Sub-Types" registry) | RFC 9184
0x82 | Generic Transitive Extended Community Part 3 (Sub-Types are defined in the "Generic Transitive Extended Community Part 3 Sub-Types" registry) | RFC 9184
Furthermore, IANA has changed the registration procedures of this registry for type values 0x80 through 0x82 to First Come First Served [RFC8126]. The resulting registration procedures should read as in Table 2.
Registration Procedures: BGP Transitive Extended Community Types
Range | Registration Procedures
0x00-0x3f | First Come First Served
0x80-0x82 | First Come First Served (see RFC 9184)
0x83-0x8f | Reserved for Experimental Use (see [RFC3692])
0x90-0xbf | Standards Action
Registry: Generic Transitive Experimental Use Extended Community Sub-Types
IANA maintains a registry entitled "Generic Transitive Experimental Use Extended Community Sub-Types". IANA has added RFC 9184 to the reference of this registry and updated the registry title to:
- "Generic Transitive Extended Community Sub-Types"
Registry: Generic Transitive Experimental Use Extended Community Part 2 Sub-Types
IANA maintains a registry entitled "Generic Transitive Experimental Use Extended Community Part 2 Sub-Types". IANA has added RFC 9184 to the reference of this registry and updated the registry title to:
- "Generic Transitive Extended Community Part 2 Sub-Types"
Registry: Generic Transitive Experimental Use Extended Community Part 3 Sub-Types
IANA maintains a registry entitled "Generic Transitive Experimental Use Extended Community Part 3 Sub-Types". IANA has added RFC 9184 to the reference of this registry and updated the registry title to:
- "Generic Transitive Extended Community Part 3 Sub-Types"
Security Considerations
There are no direct security considerations arising from this document.
References
Normative References
[RFC7153]

IANA Registries for BGP Extended Communities
E. Rosen
Y. Rekhter
March 2014
RFC 7153
DOI 10.17487/RFC7153
[RFC8126]

Guidelines for Writing an IANA Considerations Section in RFCs
M. Cotton
B. Leiba
T. Narten
June 2017
BCP 26
RFC 8126
DOI 10.17487/RFC8126
Informative References
[RFC3692]

Assigning Experimental and Testing Numbers Considered Useful
T. Narten
January 2004
BCP 82
RFC 3692
DOI 10.17487/RFC3692
[RFC5575]

Dissemination of Flow Specification Rules
P. Marques
N. Sheth
R. Raszuk
B. Greene
J. Mauch
D. McPherson
August 2009
RFC 5575
DOI 10.17487/RFC5575
[RFC7674]

Clarification of the Flowspec Redirect Extended Community
J. Haas, Ed.
October 2015
RFC 7674
DOI 10.17487/RFC7674
[RFC8955]

Dissemination of Flow Specification Rules
C. Loibl
S. Hares
R. Raszuk
D. McPherson
M. Bacher
December 2020
RFC 8955
DOI 10.17487/RFC8955
Acknowledgements
The author wants to thank Alvaro Retana, who pointed out that the IANA registry contains misleading entries in this context.
Author's Address
Christoph Loibl
next layer Telekom GmbH
Mariahilfer Guertel 37/7
Vienna
1150
Austria
+43 664 1176414
cl@tix.at